Draft Rectangle/es: Difference between revisions

From FreeCAD Documentation
(Languages spanish)
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand/es|Name=Draft_Rectangle|Workbenches=[[Draft Module/es|Croquis]], [[Arch Module/es|Arquitectura]]|MenuLocation=Croquis -> Rectángulo|Shortcut=R E|SeeAlso=[[Part Box/es|Cubo]]}}
{{GuiCommand|Name=Draft_Rectangle|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Rectangle|Shortcut=R E|SeeAlso=[[Part Box]]}}


==Descripción==
==Description==
The rectangle tool creates a rectangle by picking two opposite points. It takes the [[Draft Linestyle|linewidth and color]] previously set on the Tasks tab.

Esta herramienta dibuja un rectángulo indicando dos puntos de su diagonal.

La herramienta rectángulo crea un rectángulo indicando dos puntos de su diagonal. Toma el [[Draft Linestyle/es|espesor de línea y color]] previamente definidos en la pestaña de tareas.


[[Image:Draft_Rectangle_example.jpg|400px]]
[[Image:Draft_Rectangle_example.jpg|400px]]


==Utilización==
==How to use==
# Press the {{KEY|[[Image:Draft Rectangle.png|16px]] [[Draft Rectangle]]}} button, or press {{KEY|R}} then {{KEY|E}} keys
# Click a first corner point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Click another opposite point on the 3D view, or type a [[Draft_Coordinates|coordinate]]. The rectangle will also be a face, even if it appears as wireframe.


==Options==
# Presiona el botón {{KEY|[[Image:Draft Rectangle.png|16px]] [[Draft Rectangle/es|rectángulo]]}}, o presiona las teclas {{KEY|R}} y {{KEY|E}}
* Press {{KEY|X}}, {{KEY|Y}} or {{KEY|Z}} after a point to constrain the next point on the given axis.
# Designa un primer punto de la diagonal en la vista 3D, o escribe unas [[Draft_Coordinates/es|coordenadas]]
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
# Designa el punto apuesto de la diagonal en la vista 3D, o escribe unas [[Draft_Coordinates/es|coordenadas]]. El rectángulo también será una cara, incluso aunque se muestre como en modo alámbrico.
* Press {{KEY|R}} or click the checkbox to check/uncheck the {{KEY|'''Relative'''}} button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Rectangle tool will restart after you finish or close it, allowing you to draw another one without pressing the Rectangle button again.
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Press {{KEY|SHIFT}} while drawing to [[Draft_Constrain|constrain]] your next point horizontally or vertically in relation to the last one.
* Press {{KEY|I}} or the {{KEY|'''Filled'''}} button to have the rectangle to appear as a face after it has been closed. This simply sets the View->Property of the Rectangle to "Flat lines" or "Wireframe", so it can easily be changed later.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current Line command.


==Opciones==
==Properties==
* {{PropertyData|Length}}: Specifies the length of the rectangle
* {{PropertyData|Width}}: Specifies the width of the rectangle
* {{PropertyData|Fillet Radius}}: Specifies a curvature radius to give to the corners of the rectangle
* {{PropertyView|Texture Image}}: Allows to give the path to an image file to be mapped on the rectangle. It is up to you to give the rectangle the same proportion as the image if you want to avoid distortions. Blanking this property will remove the image.


==Scripting==
* Presiona {{KEY|X}}, {{KEY|Y}} o {{KEY|Z}} después de un punto para restringir el siguiente punto respecto al eje dado.
The Rectangle tool can by used in [[macros]] and from the python console by using the following function:
* Para introducir coordenadas manualmente, simplemente introduce los números, presiona {{KEY|ENTER}} entre cada componente X, Y y Z.
* Presiona {{KEY|R}} o selecciona la casilla para activar/desactivar el botón {{KEY|'''Relativas'''}}. Si el modo relativas está activado, las coordenadas del siguiente punto son relativas al punto anterior. Si no, son absolutas, desde el origen de coordenadas (0,0,0).
* Presiona {{KEY|T}} o selecciona la casilla para activar/desactivar el botón {{KEY|'''Continuo'''}}. Si el modo continuo está activado, la herramienta rectángulo se reiniciará después de terminar, permitiendo que dibujes otro sin necesidad de presionar el botón de rectángulo de nuevo.
* Presiona {{KEY|CTRL}} mientras dibujas para forzar el [[Draft_Snap/es|ajuste]] de tu punto a la posición de ajuste más cercana, independientemente de la distancia.
* Presiona {{KEY|SHIFT}} mientras dibujas para [[Draft_Constrain/es|restringir]] tu siguiente punto horizontal o verticalmente en relación al anterior.
* Presiona {{KEY|I}} o el botón {{KEY|'''Relleno'''}} para que el rectángulo se muestre como una cara después de que se ha cerrado. Esto simplemente establece la Vista-->Propiedad del rectángulo como "líneas planas" o "alámbrico", de modo que se puede cambiar después de forma sencilla.
* Presiona {{KEY|ESC}} o el botón {{KEY|'''Cancelar'''}} para abortar la línea de comando actual.


<syntaxhighlight>
==Propiedades==


'''makeRectangle (length, width, [placement], [facemode])'''
* {{PropertyData|Length}}: Especifica la longitud del rectángulo
</syntaxhighlight>
* {{PropertyData|Width}}: Especifica el ancho del rectángulo
* {{PropertyData|Fillet Radius}}: Especifica el radio de curvatura a dar a las esquinas del rectángulo
* {{PropertyView|Texture Image}}: Permite indicar la ruta de una imagen a ser mapeada sobre el rectángulo. Depende de ti dar al rectángulo la misma proporción que a la imagen si quieres evitar distorsiones. Dejándolo en blanco se eliminará la imagen.


* Creates a Rectangle object with length in X direction and height in Y direction.
==Archivos de guión==
* If a placement is given, it is used.

* If facemode is False, the rectangle is shown as a wireframe, otherwise as a face.
La herramienta rectángulo puede utilizarse en [[macros/es|macros]] y desde la consola de Python utilizando la siguiente función:
* The current Draft linewidth and color will be used.

* Returns the newly created object.
'''makeRectangle (length, width, [placement], [facemode])''' : Crea un objeto rectángulo con longitud en dirección X
y altura en dirección Y. Si se indica una ubicación, se utiliza. Si facemode es False, el rectángulo se mostrará en modo
alámbrico, en otro caso como una cara. Se utilizarán el espesor de línea y color actuales de Boceto. Devuelve el objeto recién creado.

Ejemplo:


Example:
<syntaxhighlight>
import FreeCAD,Draft
import FreeCAD,Draft
Draft.makeRectangle(10,4)
Draft.makeRectangle(10,4)
</syntaxhighlight>

{{clear}}
{{languages/es | {{en|Draft Rectangle}} {{fr|Draft Rectangle/fr}} {{it|Draft Rectangle/it}} {{se|Draft Rectangle/se}} }}
<languages/>

Revision as of 20:30, 11 January 2014

Draft_Rectangle

Menu location
Draft -> Rectangle
Workbenches
Draft, Arch
Default shortcut
R E
Introduced in version
-
See also
Part Box

Description

The rectangle tool creates a rectangle by picking two opposite points. It takes the linewidth and color previously set on the Tasks tab.

How to use

  1. Press the Draft Rectangle button, or press R then E keys
  2. Click a first corner point on the 3D view, or type a coordinate
  3. Click another opposite point on the 3D view, or type a coordinate. The rectangle will also be a face, even if it appears as wireframe.

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Rectangle tool will restart after you finish or close it, allowing you to draw another one without pressing the Rectangle button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press I or the Filled button to have the rectangle to appear as a face after it has been closed. This simply sets the View->Property of the Rectangle to "Flat lines" or "Wireframe", so it can easily be changed later.
  • Press ESC or the Cancel button to abort the current Line command.

Properties

  • DatosLength: Specifies the length of the rectangle
  • DatosWidth: Specifies the width of the rectangle
  • DatosFillet Radius: Specifies a curvature radius to give to the corners of the rectangle
  • VistaTexture Image: Allows to give the path to an image file to be mapped on the rectangle. It is up to you to give the rectangle the same proportion as the image if you want to avoid distortions. Blanking this property will remove the image.

Scripting

The Rectangle tool can by used in macros and from the python console by using the following function:

 '''makeRectangle (length, width, [placement], [facemode])'''
  • Creates a Rectangle object with length in X direction and height in Y direction.
  • If a placement is given, it is used.
  • If facemode is False, the rectangle is shown as a wireframe, otherwise as a face.
  • The current Draft linewidth and color will be used.
  • Returns the newly created object.

Example:

 import FreeCAD,Draft
 Draft.makeRectangle(10,4)